## timeago 0.9.3

=== debian/changelog ===
timeago (0.9.3-2) unstable; urgency=low

  * Package now team-maintained:
    + Set Debian Javascript Maintainers as maintainer.
    + Set myself as uploader.
  * Bump policy compliance to standards-version 3.9.2.
  * Bump copyright file format to draft 174 of DEP-5.
  * Use uglifyjs (not yui-compressor). Update build-dependencies
    accordingly.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 16 Apr 2011 11:53:59 +0200

timeago (0.9.3-1) unstable; urgency=low

  * New upstream release.
  * Bump DEP5 version in coyright file. Extend a year.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 31 Jan 2011 04:05:29 +0100

timeago (0.9.2-1) unstable; urgency=low

  * Initial release.
    Closes: Bug#610253.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 16 Jan 2011 20:00:31 +0100
