=== debian/control ===
Source: timeago
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Jonas Smedegaard <dr@jones.dk>
Build-Depends: cdbs,
 debhelper (>= 6),
 dh-buildinfo,
 uglifyjs
Standards-Version: 3.9.2
Homepage: http://timeago.yarp.com/
Vcs-Git: git://git.debian.org/git/collab-maint/timeago
Vcs-Browser: http://git.debian.org/?p=collab-maint/timeago.git

Package: libjs-timeago
Architecture: all
Depends: ${misc:Depends}
Recommends: javascript-common,
 libjs-jquery
Description: jQuery plugin providing live-updated fuzzy timestamps
 Timeago is a jQuery plugin that makes it easy to support automatically
 updating fuzzy timestamps (e.g. "4 minutes ago" or "about 1 day ago")
 from ISO 8601 formatted dates and times embedded in your HTML (à la
 microformats).
