=== debian/rules ===
#!/usr/bin/make -f
# -*- mode: makefile; coding: utf-8 -*-
# Copyright © 2011 Jonas Smedegaard <dr@jones.dk>
# Description: Main Debian packaging script for timeago
#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2, or (at your option)
# any later version.
#
# This program is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

-include /usr/share/cdbs/1/rules/upstream-tarball.mk
include /usr/share/cdbs/1/rules/utils.mk
include /usr/share/cdbs/1/rules/debhelper.mk

libname = jquery.timeago
libdirname = timeago
libpkgname = libjs-timeago

# suppress optional build-dependencies
CDBS_BUILD_DEPENDS_rules_upstream-tarball =
CDBS_BUILD_DEPENDS_rules_utils_copyright-check =

CDBS_BUILD_DEPENDS += , uglifyjs

DEB_UPSTREAM_URL = http://githubredir.debian.net/github/rmm5t/jquery-timeago
DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
DEB_UPSTREAM_TARBALL_MD5 = 9823b1d23b6904e9e22217c3950a7574

DEB_INSTALL_DOCS_libjs-timeago += README.markdown index.html

js-basedir =
js-stems = $(basename $(wildcard $(js-basedir)*.js))
js-min = $(js-stems:$(js-basedir)%=debian/%.min.js)
js-destdir = /usr/share/javascript/$(libdirname)

DEB_DH_INSTALL_ARGS_DEFAULT = $(addsuffix .js,$(js-stems)) debian/*.min.js $(js-destdir)

build/$(libpkgname):: $(js-min)
$(js-min): debian/%.min.js: $(js-basedir)%.js
	uglifyjs -o $@ $<
clean::
	rm -f debian/*.js
