=== debian/watch ===
version=3
http://githubredir.debian.net/github/rmm5t/jquery-timeago .*/v(\d.*).tar.gz
