## timeago 0.10.0~dfsg

=== debian/changelog ===
timeago (0.10.0~dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bump debhelper compatilibity level to 7.
  * Update watch file to use more flexible regex.
  * Repackage upstream source to exclude vendor/ subdir containing
    unneeded and possibly source-less binary.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 25 Dec 2011 14:54:55 +0700
