=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Jonas Smedegaard <dr@jones.dk>
 Build-Depends: cdbs,
- debhelper (>= 6),
+ debhelper,
  dh-buildinfo,
  uglifyjs
 Standards-Version: 3.9.2
