=== debian/rules ===
--- 
+++ 
@@ -21,8 +21,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 
 libname = jquery.timeago
-libdirname = timeago
-libpkgname = libjs-timeago
+js-dirname = timeago
+js-pkgname = libjs-timeago
 
 # suppress optional build-dependencies
 CDBS_BUILD_DEPENDS_rules_upstream-tarball =
@@ -33,19 +33,31 @@
 DEB_UPSTREAM_URL = http://githubredir.debian.net/github/rmm5t/jquery-timeago
 DEB_UPSTREAM_TARBALL_BASENAME = v$(DEB_UPSTREAM_TARBALL_VERSION)
 DEB_UPSTREAM_WGET_OPTS += --no-check-certificate
-DEB_UPSTREAM_TARBALL_MD5 = 9823b1d23b6904e9e22217c3950a7574
+DEB_UPSTREAM_TARBALL_SRCDIR = rmm5t-jquery-timeago-0477dbb
+DEB_UPSTREAM_TARBALL_MD5 = 9872431a3d1c82c9e886d36bfcce3d90
 
-DEB_INSTALL_DOCS_libjs-timeago += README.markdown index.html
+# Unneeded and possibly source-less binary
+DEB_UPSTREAM_REPACKAGE_EXCLUDES = vendor/
 
-js-basedir =
-js-stems = $(basename $(wildcard $(js-basedir)*.js))
-js-min = $(js-stems:$(js-basedir)%=debian/%.min.js)
-js-destdir = /usr/share/javascript/$(libdirname)
+# Suppress copyright-checking symlink (leading to .git db)
+DEB_COPYRIGHT_CHECK_IGNORE_REGEX = ^(public|debian/(changelog|copyright(|_hints|_newhints)))$
 
-DEB_DH_INSTALL_ARGS_DEFAULT = $(addsuffix .js,$(js-stems)) debian/*.min.js $(js-destdir)
+DEB_INSTALL_DOCS_ALL += README.markdown index.html
 
-build/$(libpkgname):: $(js-min)
+# TODO: generalize parts below as a CDBS javascript snippet
+
+#js-basedir =
+js-dirname ?= $(libname)
+js-stems ?= $(basename $(wildcard $(js-basedir)*.js))
+js-min ?= $(js-stems:$(js-basedir)%=debian/%.min.js)
+js-destdir ?= /usr/share/javascript/$(js-dirname)
+js-compressor ?= uglifyjs
+js-compressor-opts ?= -o $@ $<
+
+DEB_DH_INSTALL_ARGS_$(js-pkgname) = $(addsuffix .js,$(js-stems)) debian/*.min.js $(js-destdir)
+
+build/$(js-pkgname):: $(js-min)
 $(js-min): debian/%.min.js: $(js-basedir)%.js
-	uglifyjs -o $@ $<
+	$(js-compressor) $(js-compressor-opts)
 clean::
 	rm -f debian/*.js
