=== debian/watch ===
version=3
opts=dversionmangle=s/\~dfsg.*// \
http://githubredir.debian.net/github/rmm5t/jquery-timeago .*?(\d[^/]*).tar.gz
